Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class SubQuery

    java.lang.Object
      unity.query.SubQuery

    public class SubQuery

extends java.lang.Object

Constructor Summary
`SubQuery()`

Method Summary
`void` | `addDatabaseRef(java.lang.String key, GQDatabaseRef ref)`
`void` | `addFieldRef(java.lang.String key, GQFieldRef ref)`
`void` | `addTableRef(java.lang.String key, GQTableRef ref)`
`GQDatabaseRef` | `getDBRef(java.lang.String key)`
`GQFieldRef` | `getFieldRef(java.lang.String key)`
`java.util.HashMap` | `getFieldRefs()`
`java.util.ArrayList` | `getLocalQueries()`
`LQTree` | `getLogicalQueryTree()`
`GQTableRef` | `getTableRef(java.lang.String key)`
`java.util.HashMap` | `getTableRefs()`
`static SubQuery` | `mergeSubqueries(SubQuery lastSq, SubQuery sq, LQMergeNode mergeNode)`
`int` | `numDatabases()`
`void` | `setLocalQueries(java.util.ArrayList qrys)`
`void` | `setLogicalQueryTree(LQTree lqt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubQuery

    public SubQuery()

Method Detail

### addTableRef

    public void addTableRef(java.lang.String key,
                            GQTableRef ref)

### addDatabaseRef

    public void addDatabaseRef(java.lang.String key,
                               GQDatabaseRef ref)

### addFieldRef

    public void addFieldRef(java.lang.String key,
                            GQFieldRef ref)

### getDBRef

    public GQDatabaseRef getDBRef(java.lang.String key)

### getTableRef

    public GQTableRef getTableRef(java.lang.String key)

### getFieldRef

    public GQFieldRef getFieldRef(java.lang.String key)

### setLogicalQueryTree

    public void setLogicalQueryTree(LQTree lqt)

### numDatabases

    public int numDatabases()

### getTableRefs

    public java.util.HashMap getTableRefs()

### getLogicalQueryTree

    public LQTree getLogicalQueryTree()

### getFieldRefs

    public java.util.HashMap getFieldRefs()

### setLocalQueries

    public void setLocalQueries(java.util.ArrayList qrys)

### getLocalQueries

    public java.util.ArrayList getLocalQueries()

### mergeSubqueries

    public static SubQuery mergeSubqueries(SubQuery lastSq,
                                           SubQuery sq,
                                           LQMergeNode mergeNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD